python3-glom-1.31.6-4.6.x86_64.rpm


Advertisement

Description

python3-glom - Database designer and user interface - Python bindings

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename python3-glom-1.31.6-4.6.x86_64.rpm
Package name python3-glom
Package version 1.31.6
Package release 4.6
Package architecture x86_64
Package type rpm
Category Development/Languages/Python
Homepage http://www.glom.org/
License GPL-3.0-or-later
Maintainer -
Download size 39.25 KB
Installed size 140.51 KB
With Glom you can design database systems - the database and the user
interface.
* Glom has high-level features such as relationships, lookups,
related fields, related records, calculated fields, drop-down
choices, searching, reports, users and groups.
* Glom keeps things simple. It has Numeric, Text, Date, Time,
Boolean, and Image field types.
* Glom systems require almost no programming, but you may use
Python for calculated fields or buttons.
* Each Glom system can be translated for multiple languages and
countries.

Alternatives

Package Version Architecture Repository
python3-glom-1.31.6-93.29.x86_64.rpm 1.31.6 x86_64 GNOME Next
python3-glom-1.31.6-93.29.i586.rpm 1.31.6 i586 GNOME Next
python3-glom-1.31.6-68.25.x86_64.rpm 1.31.6 x86_64 GNOME Apps
python3-glom-1.31.6-68.25.i586.rpm 1.31.6 i586 GNOME Apps
python3-glom-1.31.6-4.6.i586.rpm 1.31.6 i586 openSUSE Oss
python3-glom - - -

Requires

Name Value
libboost_python-py3.so.1.69.0()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libglom-1.32.so.0()(64bit) -
libpython3.7m.so.1.0()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.9)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -
python(abi) = 3.7

Provides

Name Value
python3-glom = 1.31.6-4.6
python3-glom(x86-64) = 1.31.6-4.6

Obsoletes

Name Value
python-glom -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python3-glom-1.31.6-4.6.x86_64.rpm
Source Package glom-1.31.6-4.6.src.rpm

Install Howto

Install python3-glom rpm package:

# zypper install python3-glom

Files

Path
/usr/lib64/python3.7/site-packages/glom_1_32.so

Changelog

2018-02-28 - dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
2017-02-20 - dimstar@opensuse.org
- Use python3_version macro for the configure line, so we don't
have to update on every major python release.
2017-02-01 - adam.majer@suse.de
- Use individual libboost-*-devel packages instead of boost-devel.
+ Add conditional libboost_python3-devel BuildRequires.
2016-06-08 - zaitor@opensuse.org
- Update to version 1.31.6:
+ Layout: Custom fonts: Fix regression in 1.31.5.
2016-05-18 - zaitor@opensuse.org
- Update to version 1.31.5:
+ Avoid crash when trying to show GtkCssProvider errors.
+ Don't use deprecated font: syntax with GtkCssProvider.
+ Remove some unused code.
+ Require libsigc++ 2.9.2, for the newer R(Args...) syntax.
- Add explicit pkgconfig(sigc++-2.0) BuildRequires and version it,
following upstream changes.
2016-03-31 - zaitor@opensuse.org
- Update to version 1.31.4:
+ Prevent a crash (in the menu code) when using a table name
containing a space, though there are still problems with that
(bgo#763534).
+ Lots of code refactoring and correcting.
2016-03-15 - dimstar@opensuse.org
- Fix build with python 3.5:
+ Change PYTHON_VERSION to "3.5" and PYTHON to "python3.5" in
the configure call.
+ Also drop with-boost-python=boost_python-mt-py34 call, no
longer needed.
2016-03-11 - zaitor@opensuse.org
- Update to version 1.31.3:
+ Show the translated UI in non-English locales, even on newer
Linux distros (bgo#761372).
+ Default Field Formatting: Let people actually change this
again, fixing a regression in (approx) Glom 1.25.4
(bgo#763348).
+ Help menu item: Make this work again with recent GNOME systems
(bgo#763250).
+ Export: Don't lose precision when exporting large numeric
values (bgo#763229).
2016-02-26 - dimstar@opensuse.org
- Update to version 1.31.2:
+ Fix crash when loading images into an image field.
+ Fix crash caused by assert in recent versions of
libevince-view (bgo#761396).
+ Really forget a table when removing it (bgo#754645).
+ Table deletion: Actually let the user cancel the dialog.
+ Initialize PostgresSQL database with the C locale (bgo#761372).
+ Try to catch filesystem errors sooner (bgo#761373).
+ Details layout: Allow notebooks at top-level (bgo#759511).
+ Connection to central server:
- Ask again if the connection fails.
- Specify a timeout.
+ Build system:
- Check for, and require, C++14.
- Lots of modernization of the C++ source code.
2015-11-29 - zaitor@opensuse.org
- Update to version 1.31.1:
+ Build:
- Convert the source code to C++11.
- Remove unused source code.
- Use libxml++-3.0 instead of libxml++-2.6.
- Improvements to how we find and use boost libraries.
- Replace pkgconfig(libxml++-2.6) for pkgconfig(libxml++-3.0)
BuildRequires following upstream changes.
- Bump api and apiRPM version to 1.32 following upstream.

See Also

Package Description
python3-gmconfig-1.0.1-1.2.noarch.rpm JSON based configuration file manager for Python
python3-gmpy-1.17-2.5.i586.rpm Multiprecision arithmetic for Python
python3-gmpy-1.17-2.5.x86_64.rpm Multiprecision arithmetic for Python
python3-gmpy2-2.0.8-1.4.i586.rpm GMP/MPIR, MPFR, and MPC interface to Python 2.6+ and 3x
python3-gmpy2-2.0.8-1.4.x86_64.rpm GMP/MPIR, MPFR, and MPC interface to Python 2.6+ and 3x
python3-gnucash-3.5-1.1.i586.rpm Python bindings for GnuCash
python3-gnucash-3.5-1.1.x86_64.rpm Python bindings for GnuCash
python3-gobject-3.32.1-1.1.i586.rpm Python bindings for GObject
python3-gobject-3.32.1-1.1.x86_64.rpm Python bindings for GObject
python3-gobject-Dee-1.2.7+bzr20170616-2.10.i586.rpm Python bindings for GObject/Dee
python3-gobject-Dee-1.2.7+bzr20170616-2.10.x86_64.rpm Python bindings for GObject/Dee
python3-gobject-Gdk-3.32.1-1.1.i586.rpm Python bindings for GObject/Gdk
python3-gobject-Gdk-3.32.1-1.1.x86_64.rpm Python bindings for GObject/Gdk
python3-gobject-cairo-3.32.1-1.1.i586.rpm Python bindings for GObject/Cairo
python3-gobject-cairo-3.32.1-1.1.x86_64.rpm Python bindings for GObject/Cairo
Advertisement
Advertisement